// Copyright 2018 The Prometheus Authors
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Package ui provides the assets via a virtual filesystem.
package ui

import (
	// The blank import is to make Go modules happy.
	_ "github.com/shurcooL/httpfs/filter"
	_ "github.com/shurcooL/httpfs/union"
	_ "github.com/shurcooL/vfsgen"
)

// NOTE(spasquie): using ondiskassets tag becaues Go 1.12 doesn't support comma-separated tags.
//go:generate go run -mod=vendor -tags=ondiskassets assets_generate.go
